--- title: "Get role list" slug: "management-subaccount-getroles" tags: ["Sub Account"] updated: 2026-09-17T10:05:32Z published: 2026-09-17T10:05:32Z canonical: "api.ncloud-docs.com/management-subaccount-getroles" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get role list Available in Classic and VPC Get the list of roles. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/roles | ### Request headers For information about the headers common to all Sub Account APIs, see [Sub Account request headers](/docs/en/management-subaccount#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `page` | Integer | Optional | Page number - 0-N (default: 0) | | `size` | Integer | Optional | Page output count - 1-N (default: 10) | | `searchColumn` | String | Optional | Search column - `roleName` \| `roleType` \| `nrn` - `roleName`: role name - `roleType`: role type - `nrn`: NAVER Cloud Platform resource identification value for role | | `searchWord` | String | Optional | Search keyword | ### Request example The request example is as follows: ``` curl --location --request GET 'https://subaccount.apigw.ntruss.com/api/v1/roles?page=0&size=10' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Accept: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `page` | Integer | - | Page number | | `totalPages` | Integer | - | Total number of pages | | `totalItems` | Integer | - | Number of response results | | `hasPrevious` | Boolean | - | Whether previous page exists - `true` \| `false` - `true`: It exists - `false`: It doesn't exist | | `hasNext` | Boolean | - | Whether next page exists - `true` \| `false` - `true`: It exists - `false`: It doesn't exist | | `items` | Array | - | Role list: [items](/docs/en/management-subaccount-getroles#items) | | `isFirst` | Boolean | - | Whether it is the first page - `true` \| `false` - `true`: first page - `false`: not a first page | | `isLast` | Boolean | - | Whether it is the last page - `true` \| `false` - `true`: last page - `false`: not a last page | #### `items` The following describes `items`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `nrn` | String | - | NAVER Cloud Platform resource identification value for role | | `roleNo` | String | - | Role ID | | `roleName` | String | - | Role name | | `roleType` | String | - | Role type - `Server` \| `Account` \| `Service` - `Server`: It is assigned to the server resource in the VPC environment. You can access services and resources without an access key - `Account`: Assign portal and console access permissions for the main account to the sub account. Role switching allows access to the target account's resources - `Service`: It is assigned to the service. You can access resources of other services | | `sessionExpirationSec` | Integer | - | Session expiration time (second) - `600` \| `1800` \| `3600` \| `10800` | | `descCont` | String | - | Description of the role | | `active` | Boolean | - | Role status - `true` \| `false` - `true`: enabled - `false`: disabled | | `createTime` | String | - | Role creation date and time - ISO 8601 format | | `modifiedTime` | String | - | Last modification date and time of the role - ISO 8601 format | | `lastUseTime` | String | - | Last usage date and time of the role - ISO 8601 format | ### Response status codes For information about the HTTP status codes common to all Sub Account APIs, see [Sub Account status codes](/docs/en/management-subaccount#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "page": 0, "totalPages": 1, "totalItems": 2, "hasPrevious": false, "hasNext": false, "items": [ { "nrn": "nrn:PUB:IAM::5*****8:Role/76a744f0-****-****-****-246e966ebeb4", "roleNo": "76a744f0-****-****-****-246e966ebeb4", "roleName": "service1", "roleType": "Service", "descCont": "", "active": true, "createTime": "2024-12-23T02:41:51Z", "modifiedTime": "2024-12-24T02:25:16Z", "lastUseTime": "2025-01-02T01:26:02Z" }, { "nrn": "nrn:PUB:IAM::5*****8:Role/6e1de560-****-****-****-246e966ebec4", "roleNo": "6e1de560-****-****-****-246e966ebec4", "roleName": "NcloudStorageManagementRole", "roleType": "NcloudStorage", "active": true, "createTime": "2024-11-07T05:23:32Z", "modifiedTime": "2024-11-07T05:23:32Z" } ], "isFirst": true, "isLast": true } ```